Page 2 of 2 FirstFirst 12
Results 11 to 18 of 18

Thread: Softimage : /usr/Softimage/Softimage_2014_SP2/Application/bin/XSI.bin: symbol lookup error: /usr/lib

  1. #11

    Default Re: Softimage : /usr/Softimage/Softimage_2014_SP2/Application/bin/XSI.bin: symbol lookup error:

    Quote Originally Posted by maxray View Post
    After rebooting the system
    If you change the hostname while X is running, newly started applications cannot connect to the X server any more.
    Btw, you should better use the "hostname" command or YaST to change the hostname, not edit /etc/HOSTNAME directly.

    I watch this

    Code:
    max@maxray:/usr/Softimage/Softimage_2014_SP2/Application/bin> ./xsi
    hostname: Name or service not known
    /usr/Softimage/Softimage_2014_SP2/Application/bin/XSI.bin: symbol lookup error: /usr/lib64/libXext.so.6: undefined symbol: _XGetRequest
    There seems to be some library mismatch.
    Please post the output of:
    Code:
    rpm -qi libX11-6 libXext6
    Code:
    max@maxray:/usr/Softimage/Softimage_2014_SP2/Application/bin> su
    كلمة السر: 
    su: فشل التصديق
    max@maxray:/usr/Softimage/Softimage_2014_SP2/Application/bin> su
    كلمة السر: 
    maxray:/usr/Softimage/Softimage_2014_SP2/Application/bin # ./xsi
    hostname: Name or service not known
    /usr/Softimage/Softimage_2014_SP2/Application/bin/XSI.bin: symbol lookup error: /usr/lib64/libXext.so.6: undefined symbol: _XGetRequest
    maxray:/usr/Softimage/Softimage_2014_SP2/Application/bin #
    You are running it as root again (using su).
    You were already told that this won't work and shouldn't be done.
    And such "symbol lookup error"s point to installation problems, that cannot be fixed by running it as a different user.

  2. #12

    Default Re: Softimage : /usr/Softimage/Softimage_2014_SP2/Application/bin/XSI.bin: symbol lookup error:

    Quote Originally Posted by wolfi323 View Post
    If you change the hostname while X is running, newly started applications cannot connect to the X server any more.
    Btw, you should better use the "hostname" command or YaST to change the hostname, not edit /etc/HOSTNAME directly.


    There seems to be some library mismatch.
    Please post the output of:
    Code:
    rpm -qi libX11-6 libXext6

    You are running it as root again (using su).
    You were already told that this won't work and shouldn't be done.
    And such "symbol lookup error"s point to installation problems, that cannot be fixed by running it as a different user.
    thanks wolfi

    Code:
    max@maxray:~> rpm -qi libX11-6 libXext6
    Name        : libX11-6
    Version     : 1.6.2
    Release     : 2.1.2
    Architecture: x86_64
    Install Date: 06 نوف, 2013 AST 10:58:38 م
    Group       : System/Libraries
    Size        : 1302168
    License     : MIT
    Signature   : RSA/SHA256, 28 سبت, 2013 AST 04:27:29 ص, Key ID b88b2fd43dbdc284
    Source RPM  : libX11-1.6.2-2.1.2.src.rpm
    Build Date  : 28 سبت, 2013 AST 04:26:44 ص
    Build Host  : cloud138
    Relocations : (not relocatable)
    Packager    : http://bugs.opensuse.org
    Vendor      : openSUSE
    URL         : http://xorg.freedesktop.org/
    Summary     : Core X11 protocol client library
    Description :
    The X Window System is a network-transparent window system that was
    designed at MIT. X display servers run on computers with either
    monochrome or color bitmap display hardware. The server distributes
    user input to and accepts output requests from various client
    programs located either on the same machine or elsewhere in the
    network. Xlib is a C subroutine library that application programs
    (clients) use to interface with the window system by means of a
    stream connection.
    Distribution: openSUSE 13.1
    Name        : libXext6
    Version     : 1.3.2
    Release     : 2.1.2
    Architecture: x86_64
    Install Date: 06 نوف, 2013 AST 10:58:44 م
    Group       : System/Libraries
    Size        : 73456
    License     : MIT
    Signature   : RSA/SHA256, 28 سبت, 2013 AST 04:32:22 ص, Key ID b88b2fd43dbdc284
    Source RPM  : libXext-1.3.2-2.1.2.src.rpm
    Build Date  : 28 سبت, 2013 AST 04:32:09 ص
    Build Host  : build27
    Relocations : (not relocatable)
    Packager    : http://bugs.opensuse.org
    Vendor      : openSUSE
    URL         : http://xorg.freedesktop.org/
    Summary     : Common extensions to the X11 protocol
    Description :
    The Xext library contains a handful of X11 extensions:
    - Double Buffer extension (DBE/Xdbe)
    - Display Power Management Signaling (DPMS) extension
    - X11 Nonrectangular Window Shape extension (Xshape)
    - The MIT Shared Memory extension (MIT-SHM/Xshm)
    - TOG-CUP (colormap) protocol extension (Xcup)
    - X Extended Visual Information extension (XEvi)
    - X11 Double-Buffering, Multi-Buffering, and Stereo extension (Xmbuf)
    Distribution: openSUSE 13.1
    max@maxray:~>
    You are running it as root again (using su).
    You were already told that this won't work and shouldn't be done.
    And such "symbol lookup error"s point to installation problems, that cannot be fixed by running it as a different
    oh thanks

    I'm a beginner
    ===================0-==- -==-0======================

    -=-

    oooooo

  3. #13

    Default Re: Softimage : /usr/Softimage/Softimage_2014_SP2/Application/bin/XSI.bin: symbol lookup error:

    Quote Originally Posted by maxray View Post
    thanks wolfi

    Code:
    max@maxray:~> rpm -qi libX11-6 libXext6
    ...
    Those are ok.

    Well, I installed it myself now and got the same error message.
    The problem is apparently that Softimage comes with its own version of libX11 which is incompatible with the system's libXext.
    I got rid of that error by running it like this:
    Code:
    LD_PRELOAD=/usr/lib64/libX11.so ./xsi
    Unfortunately, it still doesn't work here: it just hangs on startup without opening any window and uses both of my CPU cores.
    (you might try that anyway, maybe it would work for you?)

    Since this is commercial software, you might want to contact the developers/publishers with your problem.
    Maybe they should support something a bit newer than Fedora 14?

  4. #14

    Default Re: Softimage : /usr/Softimage/Softimage_2014_SP2/Application/bin/XSI.bin: symbol lookup error:

    Quote Originally Posted by wolfi323 View Post
    Those are ok.

    Well, I installed it myself now and got the same error message.
    The problem is apparently that Softimage comes with its own version of libX11 which is incompatible with the system's libXext.
    I got rid of that error by running it like this:
    Code:
    LD_PRELOAD=/usr/lib64/libX11.so ./xsi
    Unfortunately, it still doesn't work here: it just hangs on startup without opening any window and uses both of my CPU cores.
    (you might try that anyway, maybe it would work for you?)

    Since this is commercial software, you might want to contact the developers/publishers with your problem.
    Maybe they should support something a bit newer than Fedora 14?
    Code:
    LD_PRELOAD=/usr/lib64/libX11.so ./xsi
    oh im tset
    (the software Very bad )


    Code:
    max@maxray:/usr/Softimage/Softimage_2014_SP2/Application/bin> ./xsi
    hostname: Name or service not known
    /usr/Softimage/Softimage_2014_SP2/Application/bin/XSI.bin: symbol lookup error: /usr/lib64/libXext.so.6: undefined symbol: _XGetRequest
    max@maxray:/usr/Softimage/Softimage_2014_SP2/Application/bin> LD_PRELOAD=/usr/lib64/libX11.so ./xsi
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.                                                                                                       
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.                                                                                                       
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.                                                                                                       
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.                                                                                                       
    hostname: Name or service not known                                                                                                                                                             
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.                                                                                                       
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.                                                                                                       
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.                                                                                                       
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.                                                                                                       
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.                                                                                                       
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.                                                                                                       
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.                                                                                                       
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.                                                                                                       
    /usr/Softimage/Softimage_2014_SP2/Application/bin/XSI.bin: symbol lookup error: /usr/lib64/libXext.so.6: undefined symbol: _XGetRequest                                                         
    max@maxray:/usr/Softimage/Softimage_2014_SP2/Application/bin>
    ===================0-==- -==-0======================

    -=-

    oooooo

  5. #15

    Default Re: Softimage : /usr/Softimage/Softimage_2014_SP2/Application/bin/XSI.bin: symbol lookup error: /usr

    im test in centos 6.5 its bad

    Code:
     
    [root@localhost bin]# ./xsi
    [root@localhost bin]# LD_PRELOAD=/usr/lib64/libX11.so ./xsi
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    [root@localhost bin]#
    ===================0-==- -==-0======================

    -=-

    oooooo

  6. #16

    Default Re: Softimage : /usr/Softimage/Softimage_2014_SP2/Application/bin/XSI.bin: symbol lookup error: /usr

    I will dowenland fedora 14

    then: Copy X11 (from fedura 14) to opensuse
    ===================0-==- -==-0======================

    -=-

    oooooo

  7. #17

    Default AW: Softimage : /usr/Softimage/Softimage_2014_SP2/Application/bin/XSI.bin: symbol lookup error: /usr

    Quote Originally Posted by maxray View Post

    Code:
    max@maxray:/usr/Softimage/Softimage_2014_SP2/Application/bin> LD_PRELOAD=/usr/lib64/libX11.so ./xsi
    ERROR: ld.so: object '/usr/lib64/libX11.so' from LD_PRELOAD cannot be preloaded: ignored.
    ...
    Oh, sorry.
    libX11.so might not be installed by default, as it's in the package "libX11-devel".
    Try this instead:
    Code:
     LD_PRELOAD=/usr/lib64/libX11.so.6 ./xsi
    Quote Originally Posted by maxray View Post
    im test in centos 6.5 its bad
    Well, as I said, complain to the developers/publishers.

    Quote Originally Posted by maxray View Post
    I will dowenland fedora 14

    then: Copy X11 (from fedura 14) to opensuse
    I wouldn't recommend this.
    You would probably completely break your graphical system by doing this.

    Also, Softimage does include the older libX11, but that's exactly the problem, as it is incompatible with the system's libXext as I already wrote.
    So you would rather need a matching libXext, but again, you shouldn't replace the system one's with that one.

    And I doubt that the hang at startup that I experienced is related to libX11/libXext anyway.
    Last edited by wolfi323; 29-Jul-2014 at 01:54.

  8. #18

    Default Re: AW: Softimage : /usr/Softimage/Softimage_2014_SP2/Application/bin/XSI.bin: symbol lookup error:

    Quote Originally Posted by wolfi323 View Post
    Oh, sorry.
    libX11.so might not be installed by default, as it's in the package "libX11-devel".
    Try this instead:
    Code:
     LD_PRELOAD=/usr/lib64/libX11.so.6 ./xsi
    Well, as I said, complain to the developers/publishers.


    I wouldn't recommend this.
    You would probably completely break your graphical system by doing this.

    Also, Softimage does include the older libX11, but that's exactly the problem, as it is incompatible with the system's libXext as I already wrote.
    So you would rather need a matching libXext, but again, you shouldn't replace the system one's with that one.

    And I doubt that the hang at startup that I experienced is related to libX11/libXext anyway.
    thanks wolfi323
    oh im test the software in fedora 14 its not fine work

    now im remove fedora 14 & softimage the rude

    should support something a bit newer than Fedora 14?
    you right ! its bad software
    ===================0-==- -==-0======================

    -=-

    oooooo

Page 2 of 2 FirstFirst 12

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •